/// <reference types="react" />
import { IPasswordFieldTranslations } from "../../Utils/translations";
interface PasswordFieldProps {
    /** The name of the password field */
    name: string;
    /** The label of the password field */
    label?: string;
    /** The name of the password confirm field. Confirm field will only be shown if this is set. */
    confirmFieldName?: string;
    /** The label of the password confirm field */
    confirmFieldLabel?: string;
    /** Indicates if the password complexity should be checked. Default is true */
    checkPasswordComplexity?: boolean;
    /** Custom translations if needed */
    customTranslations?: IPasswordFieldTranslations;
}
declare const PasswordField: ({ name, label, confirmFieldName, confirmFieldLabel, checkPasswordComplexity, customTranslations, }: PasswordFieldProps) => JSX.Element;
export { PasswordField, PasswordFieldProps };
